net.posprinter.posprinterface

## Interface PrinterBinder

- All Known Implementing Classes:
    PrinterConnectionsService.printerBinder

      public interface PrinterBinder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptdatafromprinter(java.lang.String var1, TaskCallback var2)`
    `void` | `checkLinkedState(java.lang.String var1, TaskCallback var2)`
    `void` | `clearBuffer(java.lang.String var1)`
    `void` | `connectBtPort(java.lang.String var1, TaskCallback var2)`
    `void` | `connectNetPort(java.lang.String var1, TaskCallback var2)`
    `void` | `connectUsbPort(android.content.Context var1, java.lang.String var2, TaskCallback var3)`
    `void` | `disconnectAll(TaskCallback var1)`
    `void` | `disconnectCurrentPort(java.lang.String var1, TaskCallback var2)`
    `boolean` | `isConnect(java.lang.String var1)`
    `RoundQueue<byte[]>` | `readBuffer(java.lang.String var1)`
    `void` | `write(java.lang.String var1, byte[] var2, TaskCallback var3)`
    `void` | `writeDataByYouself(java.lang.String var1, TaskCallback var2, ProcessData var3)`

- - ### Method Detail

    - #### connectBtPort

          void connectBtPort(java.lang.String var1,
                             TaskCallback var2)

    - #### connectUsbPort

          void connectUsbPort(android.content.Context var1,
                              java.lang.String var2,
                              TaskCallback var3)

    - #### connectNetPort

          void connectNetPort(java.lang.String var1,
                              TaskCallback var2)

    - #### disconnectCurrentPort

          void disconnectCurrentPort(java.lang.String var1,
                                     TaskCallback var2)

    - #### disconnectAll

          void disconnectAll(TaskCallback var1)

    - #### acceptdatafromprinter

          void acceptdatafromprinter(java.lang.String var1,
                                     TaskCallback var2)

    - #### readBuffer

          RoundQueue<byte[]> readBuffer(java.lang.String var1)

    - #### clearBuffer

          void clearBuffer(java.lang.String var1)

    - #### checkLinkedState

          void checkLinkedState(java.lang.String var1,
                                TaskCallback var2)

    - #### write

          void write(java.lang.String var1,
                     byte[] var2,
                     TaskCallback var3)

    - #### writeDataByYouself

          void writeDataByYouself(java.lang.String var1,
                                  TaskCallback var2,
                                  ProcessData var3)

    - #### isConnect

          boolean isConnect(java.lang.String var1)